Fetch a full documentation version including diff summary

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.bump.sh/doc/workspace/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Bump.sh Workspace MCP server": {
  "url": "https://developers.bump.sh/doc/workspace/mcp"
}
Close
GET /versions/{version_id}

Fetch a full documentation version including diff summary.

Path parameters

  • version_id string Required

    UUID of an existing version from which to fetch a documentation change

Query parameters

  • formats array[string]

    A list of formats to render in the response. Possible values are text, markdown, html or json. If not provided defaults to render both text, markdown and json formats.

Responses

  • 200 application/json

    Success

    Hide response attributes Show response attributes object
    • id string

      Unique id of your version.

    • doc_id string

      Unique id of your documentation.

    • doc_public_url string

      The public URL of your documentation.

    • diff_details array[object]

      Details of each change as a list of diff items

      Hide diff_details attributes Show diff_details attributes object
      • id string

        The identifier of the diff change

      • name string

        The human name of diff change

      • status string

        Values are added, modified, or removed.

      • type string

        The object type of the diff change

      • breaking boolean

        Identifies if the item is a breaking change

      • previous object

        Object attributes values, before change. Possible attributes depend on the object type ('endpoint', 'body', 'response'…)

      • current object

        Object attributes values, after change. Possible attributes depend on the object type ('property', 'operation', 'message'…)

      • breaking_details object

        Represents breaking change reasons, used to give more context about this question: why is this change breaking?

        Hide breaking_details attributes Show breaking_details attributes object
        • message_key string

          This property is used to generate the human message about breaking change reason

        • breaking_attributes array[string]

          When diff status is modified, this property is an array including every modified attribute responsible of the breaking change.

      • children array[object]

        A list of children item changes

    • diff_markdown string

      The comparaison diff summary in markdown format

    • diff_summary string

      The comparaison diff summary

    • diff_public_url string

      The public URL of your diff

    • diff_breaking boolean

      Identifies if the diff includes breaking changes

  • 202

    Documentation version is still being processed. Please try again later

  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • message string

      Human readable error message for status 400.

  • 404

    Version not found

GET /versions/{version_id}
curl \
 --request GET 'https://bump.sh/api/v1/versions/{version_id}' \
 --header "Authorization: Token $ACCESS_TOKEN"
Response examples (200)
{
  "id": "2361df99-3467-4c80-a0cc-45c9fe565812",
  "doc_id": "3ef8f52f-9056-4113-840e-2f7183b90e06",
  "doc_public_url": "https://bump.sh/doc/my-own-documentation",
  "diff_details": [
    {
      "id": "post-versions",
      "name": "POST /versions",
      "status": "modified",
      "type": "endpoint",
      "breaking": true,
      "previous": {
        "path": "/versions",
        "deprecated": false,
        "verb": "POST"
      },
      "current": {
        "path": "/version",
        "deprecated": false,
        "verb": "PUT"
      },
      "breaking_details": {
        "message_key": "removed_not_deprecated",
        "breaking_attributes": [
          "verb",
          "path"
        ]
      },
      "children": [
        {}
      ]
    }
  ],
  "diff_markdown": "## Modified (1)\n\n* `POST /user`\n  * Path parameters added: `id`, `email`\n  * Query parameters added: `period`, `limit`\n",
  "diff_summary": "Updated: POST /versions\n  Response modified: 201\n    Body attribute added: doc_id\n",
  "diff_public_url": "https://bump.sh/doc/my-own-documentation/change/2361df99-3467-4c80-a0cc-45c9fe565812",
  "diff_breaking": false
}
Response examples (400)
{
  "message": "You need to upgrade your subscription plan to perform this request."
}